<template>
    <div class="elementary1">
        <div ref="box" class="box"></div>
    </div>
</template>

<script>
    import { TimelineLite, Back  } from 'gsap'

    export default {
        name:'Elementary1',
        
        mounted(){
            const { box } = this.$refs
            const timeline = new TimelineLite() 
            
            timeline.to(box,1,{
                x:400,
                rotation:90,
                ease: Back.easeInOut,
            })

            timeline.to(box,.5,{
                background:'green',
            },
            "-=0.5")
        }
    }
</script>

<style lang="scss" scoped>
    .box { 
        height: 60px; 
        width: 60px; 
        background: red; 
    }
</style>